समाचार खोजें
curl --request GET \
--url https://api.x.com/2/news/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/news/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/news/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"rest_id": "2244994945",
"category": "<string>",
"cluster_posts_results": [
{
"post_id": "1346889436626259968"
}
],
"contexts": {
"entities": {
"events": [
"<string>"
],
"organizations": [
"<string>"
],
"people": [
"<string>"
],
"places": [
"<string>"
],
"products": [
"<string>"
]
},
"finance": {
"tickers": [
"<string>"
]
},
"sports": {
"teams": [
"<string>"
]
},
"topics": [
"<string>"
]
},
"disclaimer": "<string>",
"hook": "<string>",
"keywords": [
"<string>"
],
"last_updated_at_ms": "2025-7-14T04:35:55Z",
"name": "<string>",
"summary": "<string>"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}समाचार
समाचार खोजें
निर्दिष्ट खोज क्वेरी से मेल खाने वाली समाचार स्टोरीज़ की सूची प्राप्त करता है।
GET
/
2
/
news
/
search
समाचार खोजें
प्राधिकरण
BearerTokenOAuth2UserToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
क्वेरी पैरामीटर
खोज क्वेरी।
Required string length:
1 - 2048उदाहरण:
"crypto"
लौटाए जाने वाले परिणामों की संख्या।
आवश्यक सीमा:
1 <= x <= 100खोजे जाने वाले समाचार लेख की अधिकतम आयु।
आवश्यक सीमा:
1 <= x <= 720प्रदर्शित करने के लिए समाचार फ़ील्ड्स की अल्पविराम-से-अलग सूची। समाचार ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
Minimum array length:
1उपलब्ध विकल्प:
category, cluster_posts_results, contexts, disclaimer, hook, id, keywords, name, summary, updated_at उदाहरण:
[ "category", "cluster_posts_results", "contexts", "disclaimer", "hook", "id", "keywords", "name", "summary", "updated_at" ]
प्रतिक्रिया
अनुरोध सफल रहा है।
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes